<?
include '../config.php';
include '../func.php';
head();
ban();

/////////////////////////////

if (! $id_session ) {
    echo head . "<b>Пишем пост...</b>" . div;  
    echo link2 . 'Вы не авторизованы' . div;
    
pod_navig();
foot();
exit();
}


if ( $kik_session > time()) {
    echo katalog;
    echo 'Вы заблокированы. По причине: '.$whykik_session.', администратором/модератором: '.user($whokik_session).'. Осталось ждать: '.t($kik_session-time()).'<br/>';
    navig();
    foot();
    exit();
}

if ( $id_session )
mysql_query("UPDATE `profile` SET `online` = 'forum' WHERE `id` = '".$id_session."'");



$pod_forum = num($_GET['pod_forum']);
$razdel = num($_GET['razdel']);

echo head . "<b>Создание темы</b>" . div;  


if ( empty ($_POST['submit']) ) {

echo '<form action="add_theme.php?pod_forum='.$pod_forum.'&razdel='.$razdel.'" method="post" name="form">';

echo link2 . '<b>Название темы:</b> [max 50]<br/ >';
echo '<input name="name" type="text" maxlength="50" />' . div;

echo link2 . '<b>Текст:</b><br/>';
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/ >';
echo '<input type="checkbox" name="privat" value="1"/>Оповещать о оставленных сообщениях<br/>';

echo '<input name="submit" type="submit" class="button" value="Создать" /></form><br/ >';

echo "<b><a href=\"../info.php?act=bb\">BB-Коды</a></b> <a href=\"../smiles.php?\">Смайлы</a>" . div;


 } else {
    
    $razdel = num( $_GET['razdel'] );
    $pod_forum = num( $_GET['pod_forum'] );
    $name = html( $_POST['name'] );
    $msg = mysmile(html( $_POST['msg'] ));
    $privat = num( $_POST['privat'] );
    $user = $id_session;
    
    if (!empty($privat)) $privat = 1;
    
    $a = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_podrazdel` WHERE `id` = '".$pod_forum."'"));
    $b = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$razdel."'"));
    
    if ( $a == 0 ) $err = 'Вы пытаетесь создать тему в не существуюещем подфоруме.<br/>';
    if ( $b == 0 ) $err = 'Вы пытаетесь создать тему в не существуюещем разделе.<br/>'; 
    if ( empty( $msg ) ) $err = 'Вы не ввели сообщение.<br/>';  
    if ( strlen ( $msg ) > 5000 ) $err = 'Слишком длинное сообщение.<br/>';
    if ( empty( $name ) ) $err = 'Вы не ввели название темы.<br/>';  
    if ( strlen ( $name ) > 100 ) $err = 'Слишком длинное название темы.<br/>';    
    if ( $err ) {
        
        echo link2 . '<b>Ошибка:</b> '.$err. div;
        
    } else {
        mysql_query("UPDATE `profile` SET `akt_rating` = '".($user['akt_rating']+1)."' WHERE `id` = '".$id_session."' LIMIT 1");
        $result = mysql_query("INSERT INTO `forum_themes` SET `name` = '".$name."', `msg` = '".$msg."', `razdel_id` = '".$razdel."', `pod_forum` = '".$pod_forum."', `user_id` = '".$user."', `time` = '".time()."', `date` = '".time()."', `privat` = '".$privat."'");
        
        if ( $result == 1 ) {
            
            echo link2 . 'Тема успешно создана' . div;
            $lastThem = mysql_insert_id();
            header('Location: theme.php?razdel='.$razdel.'&pod_forum='.$pod_forum.'&theme='.$lastThem);
            
        } else {
            
            echo link2 . 'Ошибка при создании темы' . div;
            
        }
        
    }

}
 
 





pod_navig();
foot();
?>